Summary: Modern Version Control System designed to replace CVS
Name: subversion
Version: 1.6.9
Release: 1
License: ASL 1.1
Group: Development/Tools
URL: http://subversion.tigris.org/
Source0: http://subversion.tigris.org/tarballs/%{name}-%{version}.tar.bz2
Source1: http://subversion.tigris.org/tarballs/%{name}-%{version}.tar.bz2.asc
Source2: httpd-subversion.conf
BuildRequires: gettext-devel >= 0.17
BuildRequires: apr-devel >= 0.9.7, apr-util-devel >= 0.9.7
BuildRequires: neon-devel >= 0.25.5-1
BuildRequires: sqlite-devel >= 3.5.4-1
BuildRequires: expat-devel >= 2.0.0
Requires: apr, apr-util, gettext >= 0.17, neon, sqlite, zlib
Requires: expat >= 2.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: svn = %{version}-%{release}

%description
Subversion is a concurrent version control system which enables one
or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes.  Subversion only stores the differences between versions,
instead of every complete file.  Subversion is intended to be a
compelling replacement for CVS.


%package devel
Group: Development/Tools
Summary: Development package for the Subversion libraries
Requires: subversion = %{version}-%{release}
Requires: apr-devel, apr-util-devel, neon-devel, sqlite-devel, zlib-devel

%description devel
The subversion-devel package includes the static libraries and
include files for developers interacting with the subversion
package.


%package -n mod_dav_svn
Group: System Environment/Daemons
Summary: Apache server module for Subversion server
Requires: httpd >= 2.2.6
Requires: subversion = %{version}-%{release}
BuildRequires: httpd-devel >= 2.2.6

%description -n mod_dav_svn
The mod_dav_svn package allows access to a Subversion repository
using HTTP, via the Apache httpd server.


%prep
%setup -q


%build
export CC=xlc_r
export CPPFLAGS="-DSVN_NEON_0_26 -DSVN_NEON_0_25"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --with-apxs=%{_sbindir}/apxs \
    --disable-neon-version-check \
    --disable-mod-activation
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# add subversion.conf configuration file into httpd/conf.d directory.
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
chmod 755 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/*

# Rename authz_svn INSTALL doc for docdir
ln -f subversion/mod_authz_svn/INSTALL mod_authz_svn-INSTALL

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post -n mod_dav_svn
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
  grep -v "# Subversion settings" | \
  grep -v "Include conf/extra/httpd-subversion.conf" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "# Subversion settings" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Include conf/extra/httpd-subversion.conf" >> %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%preun -n mod_dav_svn
if [ "$1" = 0 ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
      grep -v "# Subversion settings" | \
      grep -v "Include conf/extra/httpd-subversion.conf" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
    echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README
%doc tools subversion/LICENSE mod_authz_svn-INSTALL
%{_bindir}/*
%{_libdir}/libsvn_*.so*
%{_mandir}/man*/*
%{_datadir}/locale/*
/usr/bin/*
/usr/lib/libsvn_*.so*


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/libsvn*.*a
/usr/include/*
/usr/lib/libsvn*.*a


%files -n mod_dav_svn
%defattr(-,root,system)
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-subversion.conf
%{_libdir}/httpd/modules/mod_dav_svn.so
%{_libdir}/httpd/modules/mod_authz_svn.so


%changelog
* Thu Feb 11 2010 Michael Perzl <michael@perzl.org> - 1.6.9-1
- updated to version 1.6.9

* Thu Oct 22 2009 Michael Perzl <michael@perzl.org> - 1.6.6-1
- updated to version 1.6.6

* Tue Aug 25 2009 Michael Perzl <michael@perzl.org> - 1.6.5-1
- updated to version 1.6.5

* Mon Aug 10 2009 Michael Perzl <michael@perzl.org> - 1.6.4-1
- updated to version 1.6.4

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 1.6.3-1
- updated to version 1.6.3

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 1.6.2-1
- updated to version 1.6.2

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 1.6.1-1
- updated to version 1.6.1

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 1.6.0-1
- updated to version 1.6.0

* Wed Jun 24 2009 Michael Perzl <michael@perzl.org> - 1.5.6-1
- updated to version 1.5.6

* Tue Dec 23 2008 Michael Perzl <michael@perzl.org> - 1.5.5-1
- updated to version 1.5.5

* Thu Oct 23 2008 Michael Perzl <michael@perzl.org> - 1.5.4-1
- updated to version 1.5.4

* Mon Sep 01 2008 Michael Perzl <michael@perzl.org> - 1.5.2-1
- updated to version 1.5.2

* Wed Apr 23 2008 Michael Perzl <michael@perzl.org> - 1.4.6-2
- recompiled with newer version of expat and some spec file fixes

* Fri Dec 21 2007 Michael Perzl <michael@perzl.org> - 1.4.6-1
- updated to version 1.4.6

* Wed Dec 19 2007 Michael Perzl <michael@perzl.org> - 1.4.5-1
- first version for AIX V5.1 and higher
